<?php

/*

		moziloGB - Language.php
		
		moziloGB functions for the displayed language. 
		Feel free to change it to your personal purposes.
		
		mozilo 2007
		
*/

class LanguageGB {
	
	var $LANG_CONF;

	
// ------------------------------------------------------------------------------    
// Konstruktor
// ------------------------------------------------------------------------------
	function __construct($languagefile) {
		$this->LANG_CONF = new Properties($languagefile);
	}
	

// ------------------------------------------------------------------------------
// Sprachelement ohne Zusatz aus Sprachdatei holen
// ------------------------------------------------------------------------------
	function getLanguageValue0GB($phrase) {
		return $this->LANG_CONF->get($phrase);
	}


// ------------------------------------------------------------------------------
// Sprachelement mit einem zus�tzlichen Parameter aus Sprachdatei holen
// ------------------------------------------------------------------------------
	function getLanguageValue1GB($phrase, $param1) {
		$text = $this->LANG_CONF->get($phrase);
		$text = preg_replace("/{PARAM1}/", $param1, $text);
		return $text;
	}


// ------------------------------------------------------------------------------
// Sprachelement mit zwei zus�tzlichen Parametern aus Sprachdatei holen
// ------------------------------------------------------------------------------
	function getLanguageValue2GB($phrase, $param1, $param2) {
		$text = $this->LANG_CONF->get($phrase);
		$text = preg_replace("/{PARAM1}/", $param1, $text);
		$text = preg_replace("/{PARAM2}/", $param2, $text);
		return $text;
	}


}
?>
